=== debian/changelog ===
spamassassin (4.0.2-2) unstable; urgency=medium

  * Import patch improve-CNAME-caching.patch from upstream
  * import patch limit-CNAME-cache-to-10-entries-by-default-and-make-it
    (Closes: #1118009)
  * import patch skip-CNAME-checks-if-dns_max_cname_cache-==-0
  * import upstream patch uri_list-test-requires-network-access
  * Import upstream fix for improper handling of non-CNAME DNS records
    (Closes: 1117982)
  * disable dns lookups in the test suite during build
  * Add libtest-perl-critic-perl and libtest-pod-perl to build-deps for tests

 -- Noah Meyerhans <noahm@debian.org>  Mon, 13 Oct 2025 18:27:12 -0400

spamassassin (4.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 31 Aug 2025 11:03:05 -0400
