=== debian/control ===
Source: spamassassin
Section: mail
Priority: optional
Maintainer: Noah Meyerhans <noahm@debian.org>
Build-Depends: debhelper-compat (= 13),
	       perl,
	       libssl-dev,
	       libhtml-parser-perl,
	       libnetaddr-ip-perl,
	       libnet-dns-perl <!nocheck>,
	       libberkeleydb-perl <!nocheck>,
	       netbase <!nocheck>,
	       libdbi-perl <!nocheck>,
	       libdbd-mysql-perl <!nocheck>,
	       libbsd-resource-perl <!nocheck>,
	       libio-string-perl <!nocheck>,
	       libnet-libidn2-perl <!nocheck>,
	       libtest-perl-critic-perl <!nocheck>,
	       libtest-pod-perl <!nocheck>,
	       libtext-diff-perl <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://www.spamassassin.org/
Vcs-Git: https://salsa.debian.org/debian/spamassassin.git
Vcs-Browser: https://salsa.debian.org/debian/spamassassin

Package: spamassassin
Architecture: all
Multi-Arch: foreign
Depends: perl, libhtml-parser-perl, libsocket6-perl, adduser,
 libsys-hostname-long-perl, libarchive-tar-perl, libnet-dns-perl,
 libnetaddr-ip-perl, libhttp-date-perl, libmail-dkim-perl,
 libio-string-perl, libwww-perl | curl | w3m, ${misc:Depends}
Recommends: spamc, sa-compile (= ${source:Version}), libmail-spf-perl,
 libsys-syslog-perl, gnupg, libbsd-resource-perl, libmail-dmarc-perl
Suggests: razor, libio-socket-ssl-perl, libdbi-perl, pyzor,
 libcompress-zlib-perl, libencode-detect-perl,
 libgeoip2-perl, libnet-patricia-perl
Provides: libmail-spamassassin-perl
Description: Perl-based spam filter using text analysis
 SpamAssassin is a very powerful and fully configurable spam filter
 with numerous features including automatic white-listing, RBL
 testing, Bayesian analysis, header and body text analysis. It is
 designed to be called from a user's .procmail or .forward file, but
 can also be integrated into a Mail Transport Agent (MTA).
 .
 If you use spamassassin on a moderately high-volume mail server, you
 may which to consider installing the spamc and spamd packages, which
 provide a daemonized variant of spamassassin that avoids the need to
 start a full perl runtime for each message processed.

Package: spamc
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: spamd
Description: Client for SpamAssassin spam filtering daemon
 spamc is the client to communicate with spamd, the daemonized form of
 SpamAssassin (see the spamd package). It is written in C for
 maximum speed and minimum loading overhead.
 .
 spamc is quite useful for integrating spamassassin into an MTA or
 into a .procmailrc file because of its speed.
 .
 This package is useless unless you have spamassassin installed,
 either on this machine or another local machine (i.e. a mail server).

Package: sa-compile
Architecture: all
Multi-Arch: foreign
Enhances: spamassassin
Depends: spamassassin (= ${source:Version}), re2c, gcc, libc6-dev, make, ${misc:Depends}
Description: Tools for compiling SpamAssassin rules into C
 sa-compile uses "re2c" to compile the site-wide parts of the
 SpamAssassin ruleset into C code for more efficient processing by
 spamd or spamassassin.

Package: spamd
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: spamassassin (= ${source:Version}),
	 init-system-helpers (>= 1.51),
	 ${shlibs:Depends}, ${misc:Depends}
Recommends: systemd | rsyslog | system-log-daemon
Replaces: spamassassin (<< 4.0.0~0.0svn1883440-2)
Breaks: spamassassin (<< 4.0.0~0.0svn1883440-2)
Description: Server for SpamAssassin spam filtering daemon
 spamd is a daemonized spamassassin process. Intended to be used with
 the spamc client, the persistent nature of the spamd server allows it
 to avoid the overhead of instantiating the perl for each processed
 message.
